import { CdkScrollable } from '@angular/cdk/scrolling';
import { ElementRef } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ScrollToFirstInvalidDirective {
    private readonly elRef;
    private readonly controlContainer;
    private readonly cdkScrollable;
    labelOffset: number;
    get containerEl(): HTMLElement | (Window & typeof globalThis);
    onSubmit(): void;
    constructor(elRef: ElementRef<HTMLElement>, controlContainer: ControlContainer, cdkScrollable: CdkScrollable);
    scrollToFirstInvalid(): void;
    getFirstInvalidInput(): HTMLElement;
    private getTopOffset;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollToFirstInvalidDirective, [null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ScrollToFirstInvalidDirective, "[aclScrollToFirstInvalid]", never, { "labelOffset": "labelOffset"; }, {}, never, never, false>;
}
